<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="UTF-8" />
<meta content="all" name="robots" />
<meta name="Copyright" content="CopyRight (C) 2007-2008 All Right Reserved." />
<meta name="description" content="" />
<meta name="keywords" content=""  />
<title>mysites 3.0 注册机 </title>
<style type="text/css">
<!--
body{

	color: #FF4500;
	line-height: 22px;
}
-->
</style>
</head>
<body>
<div align="center" style="margin-top:66px; font-size: 14px;">
<div align="center" style="margin-top:33px">
<?php

//写入开始

$fp = fopen ("mysites.lic","w");
$filename = "mysites.lic";
$handle = fopen ($filename,"w"); //fopen，即打开文件，若文件不存在，则自动创建；
if (!is_writable ($filename)){die ("文件：".$filename."不可写，请检查其属性后重试！");}

//以下开始写入内容
$content = "<?xml version=\"1.0\" encoding=\"UTF-8\"?> \r\n<Wrigley_vote>";

//……

$content = base64_encode(md5("red-honghesoft-mysites-3.0-".$_SERVER['SERVER_NAME']. "-32503680000") .'|'.$_SERVER['SERVER_NAME']. '|'."32503680000".'|'."3.0");

//内容结束

if (!is_writable ($filename)){die ("文件：".$filename."不可写，请检查其属性后重试！");}
if (!fwrite ($handle,$content)){die ("生成文件".$filename."失败！");}

fclose ($handle);


//写入结束 输出结果
echo "生成授权文件".$filename."成功！";
echo "<br>";
echo "<br>";
echo "您的域名是：".$_SERVER['SERVER_NAME']."<br>";
echo "<br>";
echo "您的序列号是：".$content."<br>";
echo "<br>";
echo "已经将您的序列号写入到../inc/mysites.lic中";
echo "<br>";
echo "<br>";


?>


